--f服务器列表.xlsx
--服务列表|ServerList
ltbConfServerList = {
    --[1] = {sn = 1, regionalname = '公共服', serverid = '6010', name = '分包测试服', ip = '103.244.81.239', port = '60102', flag = '0', harmony = false, platformType = "[991]", weight = 0, mergeTo = 0},
    [1] = {sn = 1, regionalname = '公共服', serverid = '6011', name = '渠道测试', ip = '124.243.243.60', port = '60112', flag = '0', harmony = false, platformType = "[990]", weight = 0, mergeTo = 0},
    [2] = {sn = 2, regionalname = '公共服', serverid = '6012', name = '安卓提审服', ip = '124.243.243.62', port = '60122', flag = '0', harmony = false, platformType = "[2,3,4,10]", weight = 0, mergeTo = 0},
    --[3] = {sn = 3, regionalname = '公共服', serverid = '1', name = '神域master服', ip = '10.7.0.28', port = '8888', flag = '0', harmony = false, platformType = "[4,10]", weight = 0, mergeTo = 0},
    --[4] = {sn = 4, regionalname = '公共服', serverid = '1', name = '神域tag服', ip = '10.7.0.28', port = '8886', flag = '0', harmony = false, platformType = "[4,10]", weight = 0, mergeTo = 0},
}

ltbConfServerList.get = function( sn )
    local liMax = table.maxn( ltbConfServerList )
    for i = 1, liMax do
        if sn == ltbConfServerList[i].sn then
            return ltbConfServerList[i]
        end
    end

    return nil
end

ltbConfServerList.getBy = function( ... )
    local ltbCondition = { }
    local ltbResult = { }

    for k, v in ipairs( arg ) do
        ltbCondition[k] = v
    end

    local liMax = table.maxn( ltbCondition )
    local liMaxTb = table.maxn( ltbConfServerList )
    if liMax % 2 ~= 0 then
        return nil
    end

    local liIndex = 1
    for liIndex = 1, liMaxTb do
        local lbIsMatch = true

        for j = 1, liMax, 2 do
            local lstrKey = ltbCondition[j]
            local lVaule = ltbCondition[j + 1]

            if ltbConfServerList[liIndex][lstrKey] ~= lVaule then
                lbIsMatch = false
                break
            end
        end

        if lbIsMatch then
            return ltbConfServerList[liIndex]
        end
    end

    return nil
end

ltbConfServerList.findAll = function( )
    return ltbConfServerList
end
